| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoICCSdk.registers.icc_registers.ICCStaticInput Class Reference

Parent class => StaticInput
More...

Inheritance diagram for optoICCSdk.registers.icc_registers.ICCStaticInput:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | SetFocalPower (self, value)
| Sets focal power on this channel [dpt].
def | GetFocalPower (self)
| Gets focal power on this channel [dpt].

## Static Public Member Functions
def | help ()

## Public Attributes
| active_type
| focal_power
| name

## Detailed Description

Parent class => StaticInput

        Input Channel Systems - USB/UART
        System IDs: 0x50 through 0x57

        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | Register Name  | Id   | Type        | Unit     | Range       | Default | Comment                               |
        +================+======+=============+==========+=============+=========+=======================================+
        | current        | 0x00 | float 32-bit| A        | -0.7 to 0.7 | 0.0     | Static input in amperes.              |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | active_input   | 0x03 | float 32-bit| None     |             | 0.0     | Determined by active control system.  |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+
        | fp             | 0x04 | float 32-bit| DPT      |             | 0.0     | Static input in DPT.                  |
        +----------------+------+-------------+----------+-------------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICCSdk.registers.icc_registers.ICCStaticInput.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ help()

def optoICCSdk.registers.icc_registers.ICCStaticInput.help | ( |  | ) |
| static

## ◆ SetFocalPower()

def optoICCSdk.registers.icc_registers.ICCStaticInput.SetFocalPower | ( |  | self,
|  |  | value
| ) |  |

Sets focal power on this channel [dpt].

## ◆ GetFocalPower()

def optoICCSdk.registers.icc_registers.ICCStaticInput.GetFocalPower | ( |  | self | ) |

Gets focal power on this channel [dpt].

## Member Data Documentation

## ◆ active_type

optoICCSdk.registers.icc_registers.ICCStaticInput.active_type

## ◆ focal_power

optoICCSdk.registers.icc_registers.ICCStaticInput.focal_power

## ◆ name

optoICCSdk.registers.icc_registers.ICCStaticInput.name